Retrieve account statistics

​

Returns aggregated sending, reception and spam statistics for the account over the requested period. Consolidated data is returned up to 2 days ago and combined with raw data for the most recent 48 hours.

Path Parameters

  • The ID of the account.

Query Parameters

  • Filter statistics by recipient provider. One of gmail, outlook or others. When omitted, all providers are included.

  • Number of past days to include in the statistics. Maximum is 180.

Responses

  • application/json
  • application/json
Request Example for get/v1/accounts/{id}/stats
curl 'http://api.mailreach.co/api/v1/accounts/1234/stats?provider=gmail&past_days=14' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
  "total_messages_sent": 1242,
  "total_messages_received": 1189,
  "total_spam": 37,
  "config_current_conversation_running": 8,
  "consolidated_cutoff": "2026-04-21T00:00:00.000Z"
}